Inactivate Picklist Value
Inactivate a value from a picklist. This does not affect picklist values that are already in use.
DELETE
/api/{version}/objects/picklists/{picklist_name}/{picklist_value_name}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{picklist_name} | The picklist name field value (license_type__v, product_family__c, region__c, etc.) |
{picklist_value_name} | The picklist value name field value (north_america__c, south_america__c, etc.) |
Request
Section link for Requestcurl -X DELETE -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/objects/picklists/regions__c/north_america_united_states__cResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Inactivated picklist value.",
"name": "north_america_united_states__c"
}